# HG changeset patch
# User Petri Hintukainen <phintuka@users.sourceforge.net>
# Date 1199164969 -7200
# Node ID 8abcbba8b47057ce14bd277e5460d057881c864c
# Parent  68d664661603dfbe76ee5b76e7760f8e4752c7cf
Bump post plugin interface version after API changes
(Changeset 9602: Replace get_identifier/get_description functions with strings.)

diff -r 68d664661603 -r 8abcbba8b470 include/xine/post.h
--- a/include/xine/post.h	Tue Jan 01 02:53:38 2008 +0000
+++ b/include/xine/post.h	Tue Jan 01 07:22:49 2008 +0200
@@ -33,7 +33,7 @@
 #  include <xine/plugin_catalog.h>
 #endif
 
-#define POST_PLUGIN_IFACE_VERSION 9
+#define POST_PLUGIN_IFACE_VERSION 10
 
 
 typedef struct post_class_s post_class_t;
diff -r 68d664661603 -r 8abcbba8b470 src/post/audio/audio_filters.c
--- a/src/post/audio/audio_filters.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/audio/audio_filters.c	Tue Jan 01 07:22:49 2008 +0200
@@ -36,9 +36,9 @@ static const post_info_t volnorm_special
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST, 9, "upmix",      XINE_VERSION_CODE, &upmix_special_info,      &upmix_init_plugin },
-  { PLUGIN_POST, 9, "upmix_mono", XINE_VERSION_CODE, &upmix_mono_special_info, &upmix_mono_init_plugin },
-  { PLUGIN_POST, 9, "stretch",    XINE_VERSION_CODE, &stretch_special_info,    &stretch_init_plugin },
-  { PLUGIN_POST, 9, "volnorm",    XINE_VERSION_CODE, &volnorm_special_info,    &volnorm_init_plugin },
-  { PLUGIN_NONE, 0, "",           0,                 NULL,                     NULL }
+  { PLUGIN_POST, 10, "upmix",      XINE_VERSION_CODE, &upmix_special_info,      &upmix_init_plugin },
+  { PLUGIN_POST, 10, "upmix_mono", XINE_VERSION_CODE, &upmix_mono_special_info, &upmix_mono_init_plugin },
+  { PLUGIN_POST, 10, "stretch",    XINE_VERSION_CODE, &stretch_special_info,    &stretch_init_plugin },
+  { PLUGIN_POST, 10, "volnorm",    XINE_VERSION_CODE, &volnorm_special_info,    &volnorm_init_plugin },
+  { PLUGIN_NONE, 0,  "",           0,                 NULL,                     NULL }
 };
diff -r 68d664661603 -r 8abcbba8b470 src/post/deinterlace/xine_plugin.c
--- a/src/post/deinterlace/xine_plugin.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/deinterlace/xine_plugin.c	Tue Jan 01 07:22:49 2008 +0200
@@ -47,7 +47,7 @@ static const post_info_t deinterlace_spe
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST | PLUGIN_MUST_PRELOAD, 9, "tvtime", XINE_VERSION_CODE, &deinterlace_special_info, &deinterlace_init_plugin },
+  { PLUGIN_POST | PLUGIN_MUST_PRELOAD, 10, "tvtime", XINE_VERSION_CODE, &deinterlace_special_info, &deinterlace_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
 
diff -r 68d664661603 -r 8abcbba8b470 src/post/goom/xine_goom.c
--- a/src/post/goom/xine_goom.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/goom/xine_goom.c	Tue Jan 01 07:22:49 2008 +0200
@@ -116,7 +116,7 @@ static const post_info_t goom_special_in
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST | PLUGIN_MUST_PRELOAD, 9, "goom", XINE_VERSION_CODE, &goom_special_info, &goom_init_plugin },
+  { PLUGIN_POST | PLUGIN_MUST_PRELOAD, 10, "goom", XINE_VERSION_CODE, &goom_special_info, &goom_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
 
diff -r 68d664661603 -r 8abcbba8b470 src/post/mosaico/mosaico.c
--- a/src/post/mosaico/mosaico.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/mosaico/mosaico.c	Tue Jan 01 07:22:49 2008 +0200
@@ -41,7 +41,7 @@ static const post_info_t mosaico_special
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST, 9, "mosaico", XINE_VERSION_CODE, &mosaico_special_info, &mosaico_init_plugin },
+  { PLUGIN_POST, 10, "mosaico", XINE_VERSION_CODE, &mosaico_special_info, &mosaico_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
 
diff -r 68d664661603 -r 8abcbba8b470 src/post/mosaico/switch.c
--- a/src/post/mosaico/switch.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/mosaico/switch.c	Tue Jan 01 07:22:49 2008 +0200
@@ -41,7 +41,7 @@ static const post_info_t switch_special_
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST, 9, "switch", XINE_VERSION_CODE, &switch_special_info, &switch_init_plugin },
+  { PLUGIN_POST, 10, "switch", XINE_VERSION_CODE, &switch_special_info, &switch_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
 
diff -r 68d664661603 -r 8abcbba8b470 src/post/planar/planar.c
--- a/src/post/planar/planar.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/planar/planar.c	Tue Jan 01 07:22:49 2008 +0200
@@ -56,15 +56,15 @@ static const post_info_t noise_special_i
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST, 9, "expand", XINE_VERSION_CODE, &expand_special_info, &expand_init_plugin },
-  { PLUGIN_POST, 9, "fill", XINE_VERSION_CODE, &fill_special_info, &fill_init_plugin },
-  { PLUGIN_POST, 9, "invert", XINE_VERSION_CODE, &invert_special_info, &invert_init_plugin },
-  { PLUGIN_POST, 9, "eq", XINE_VERSION_CODE, &eq_special_info, &eq_init_plugin },
-  { PLUGIN_POST, 9, "denoise3d", XINE_VERSION_CODE, &denoise3d_special_info, &denoise3d_init_plugin },
-  { PLUGIN_POST, 9, "boxblur", XINE_VERSION_CODE, &boxblur_special_info, &boxblur_init_plugin },
-  { PLUGIN_POST, 9, "eq2", XINE_VERSION_CODE, &eq2_special_info, &eq2_init_plugin },
-  { PLUGIN_POST, 9, "unsharp", XINE_VERSION_CODE, &unsharp_special_info, &unsharp_init_plugin },
-  { PLUGIN_POST, 9, "pp", XINE_VERSION_CODE, &pp_special_info, &pp_init_plugin },
-  { PLUGIN_POST, 9, "noise", XINE_VERSION_CODE, &noise_special_info, &noise_init_plugin },
+  { PLUGIN_POST, 10, "expand", XINE_VERSION_CODE, &expand_special_info, &expand_init_plugin },
+  { PLUGIN_POST, 10, "fill", XINE_VERSION_CODE, &fill_special_info, &fill_init_plugin },
+  { PLUGIN_POST, 10, "invert", XINE_VERSION_CODE, &invert_special_info, &invert_init_plugin },
+  { PLUGIN_POST, 10, "eq", XINE_VERSION_CODE, &eq_special_info, &eq_init_plugin },
+  { PLUGIN_POST, 10, "denoise3d", XINE_VERSION_CODE, &denoise3d_special_info, &denoise3d_init_plugin },
+  { PLUGIN_POST, 10, "boxblur", XINE_VERSION_CODE, &boxblur_special_info, &boxblur_init_plugin },
+  { PLUGIN_POST, 10, "eq2", XINE_VERSION_CODE, &eq2_special_info, &eq2_init_plugin },
+  { PLUGIN_POST, 10, "unsharp", XINE_VERSION_CODE, &unsharp_special_info, &unsharp_init_plugin },
+  { PLUGIN_POST, 10, "pp", XINE_VERSION_CODE, &pp_special_info, &pp_init_plugin },
+  { PLUGIN_POST, 10, "noise", XINE_VERSION_CODE, &noise_special_info, &noise_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
diff -r 68d664661603 -r 8abcbba8b470 src/post/visualizations/fooviz.c
--- a/src/post/visualizations/fooviz.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/visualizations/fooviz.c	Tue Jan 01 07:22:49 2008 +0200
@@ -307,6 +307,6 @@ static const post_info_t fooviz_special_
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */  
-  { PLUGIN_POST, 9, "fooviz", XINE_VERSION_CODE, &fooviz_special_info, &fooviz_init_plugin },
+  { PLUGIN_POST, 10, "fooviz", XINE_VERSION_CODE, &fooviz_special_info, &fooviz_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
diff -r 68d664661603 -r 8abcbba8b470 src/post/visualizations/visualizations.c
--- a/src/post/visualizations/visualizations.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/post/visualizations/visualizations.c	Tue Jan 01 07:22:49 2008 +0200
@@ -46,8 +46,8 @@ static const post_info_t fftgraph_specia
 
 const plugin_info_t xine_plugin_info[] EXPORTED = {
   /* type, API, "name", version, special_info, init_function */
-  { PLUGIN_POST, 9, "oscope", XINE_VERSION_CODE, &oscope_special_info, &oscope_init_plugin },
-  { PLUGIN_POST, 9, "fftscope", XINE_VERSION_CODE, &fftscope_special_info, &fftscope_init_plugin },
-  { PLUGIN_POST, 9, "fftgraph", XINE_VERSION_CODE, &fftgraph_special_info, &fftgraph_init_plugin },
+  { PLUGIN_POST, 10, "oscope", XINE_VERSION_CODE, &oscope_special_info, &oscope_init_plugin },
+  { PLUGIN_POST, 10, "fftscope", XINE_VERSION_CODE, &fftscope_special_info, &fftscope_init_plugin },
+  { PLUGIN_POST, 10, "fftgraph", XINE_VERSION_CODE, &fftgraph_special_info, &fftgraph_init_plugin },
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
 };
diff -r 68d664661603 -r 8abcbba8b470 src/vdr/combined_vdr.c
--- a/src/vdr/combined_vdr.c	Tue Jan 01 02:53:38 2008 +0000
+++ b/src/vdr/combined_vdr.c	Tue Jan 01 07:22:49 2008 +0200
@@ -36,9 +36,9 @@ const plugin_info_t xine_plugin_info[] E
 {
   /* type       , API, "name"     , version          , special_info           , init_function */  
   { PLUGIN_INPUT,  18, "VDR"      , XINE_VERSION_CODE, NULL                   , &vdr_input_init_plugin },
-  { PLUGIN_POST ,   9, "vdr"      , XINE_VERSION_CODE, &vdr_video_special_info, &vdr_video_init_plugin },
-  { PLUGIN_POST ,   9, "vdr_video", XINE_VERSION_CODE, &vdr_video_special_info, &vdr_video_init_plugin },
-  { PLUGIN_POST ,   9, "vdr_audio", XINE_VERSION_CODE, &vdr_audio_special_info, &vdr_audio_init_plugin },
+  { PLUGIN_POST ,  10, "vdr"      , XINE_VERSION_CODE, &vdr_video_special_info, &vdr_video_init_plugin },
+  { PLUGIN_POST ,  10, "vdr_video", XINE_VERSION_CODE, &vdr_video_special_info, &vdr_video_init_plugin },
+  { PLUGIN_POST ,  10, "vdr_audio", XINE_VERSION_CODE, &vdr_audio_special_info, &vdr_audio_init_plugin },
   { PLUGIN_NONE ,   0, ""         , 0                , NULL                   , NULL }
 };
 
